import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const journalEntry = await conductor.qbd.journalEntries.create({ transactionDate: '2024-10-01', conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(journalEntry.id);
import os
from datetime import date
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
journal_entry = conductor.qbd.journal_entries.create(
transaction_date=date.fromisoformat("2024-10-01"),
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(journal_entry.id)
Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.
POST
/
quickbooks-desktop
/
journal-entries
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const journalEntry = await conductor.qbd.journalEntries.create({ transactionDate: '2024-10-01', conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(journalEntry.id);
import os
from datetime import date
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
journal_entry = conductor.qbd.journal_entries.create(
transaction_date=date.fromisoformat("2024-10-01"),
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(journal_entry.id)
The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user. When left blank in this create request, this field will be left blank in QuickBooks (i.e., it does not auto-increment).
Indicates whether this journal entry is an adjustment entry. When true, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.
Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.
Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When true, amounts are in the home currency regardless of the currency field.
The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
IMPORTANT: This field must be formatted as a valid GUID; otherwise, QuickBooks will return an error.
The date and time when this journal entry was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The date and time when this journal entry was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The current QuickBooks-assigned revision number of this journal entry object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
Indicates whether this journal entry is an adjustment entry. When true, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.
Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.
Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When true, amounts are in the home currency regardless of the currency field.
The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
The custom fields for the journal entry object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae2a147c25d5899be6b563f","collectionId":"d98a652d-e786-4770-b017-4197fbe10d31","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae2a147c25d5899be6b563f"},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae2a147c25d5899be6b563f","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/journal-entries/create","slug":"/api-ref/qbd/journal-entries/create","pageMetadata":{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","description":"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.","href":"/api-ref/qbd/journal-entries/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","description":"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.","href":"/api-ref/qbd/journal-entries/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create a journal entry","description":"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.","security":["d7297596-43ca-4b64-9908-a712075f3dec"],"parameters":["2e3e4839-fe82-4111-9d18-a7afddc19d6c"],"requestBody":"1b154813-748d-43a2-8722-c512a1cfc027","responses":{"200":"da8697a6-774d-47f6-986a-e95488894c34"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst journalEntry = await conductor.qbd.journalEntries.create({\n transactionDate: '2024-10-01',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(journalEntry.id);"},{"lang":"Python","source":"import os\nfrom datetime import date\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\njournal_entry = conductor.qbd.journal_entries.create(\n transaction_date=date.fromisoformat(\"2024-10-01\"),\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(journal_entry.id)"}],"method":"post","type":"path","servers":["045cea4d-dfb6-46e4-9c51-52452b7b239b"],"path":"/quickbooks-desktop/journal-entries","baseUrlOptions":["https://api.conductor.is/v1"],"title":"Create a journal entry","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst journalEntry = await conductor.qbd.journalEntries.create({\n transactionDate: '2024-10-01',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(journalEntry.id);"},{"lang":"Python","source":"import os\nfrom datetime import date\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\njournal_entry = conductor.qbd.journal_entries.create(\n transaction_date=date.fromisoformat(\"2024-10-01\"),\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(journal_entry.id)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"2e3e4839-fe82-4111-9d18-a7afddc19d6c":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"transactionDate":{"type":"string","format":"date","description":"The date of this journal entry, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"description":"The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user. When left blank in this create request, this field will be left blank in QuickBooks (i.e., it does *not* auto-increment).\n\nMaximum length: 11 characters.","example":"JE-1234","type":"string","maxLength":11,"uniqueKey":"refNumber","typeLabel":"string"},"isAdjustment":{"description":"Indicates whether this journal entry is an adjustment entry. When `true`, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.","example":false,"type":"boolean","uniqueKey":"isAdjustment","typeLabel":"boolean"},"isHomeCurrencyAdjustment":{"description":"Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.","example":false,"type":"boolean","uniqueKey":"isHomeCurrencyAdjustment","typeLabel":"boolean"},"areAmountsEnteredInHomeCurrency":{"description":"Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When `true`, amounts are in the home currency regardless of the `currency` field.","example":false,"type":"boolean","uniqueKey":"areAmountsEnteredInHomeCurrency","typeLabel":"boolean"},"currencyId":{"description":"The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"currencyId","typeLabel":"string"},"exchangeRate":{"description":"The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"type":"number","uniqueKey":"exchangeRate","typeLabel":"number"},"externalId":{"type":"string","format":"uuid","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.\n\n**IMPORTANT**: This field must be formatted as a valid GUID; otherwise, QuickBooks will return an error.","example":"12345678-abcd-1234-abcd-1234567890ab","uniqueKey":"externalId","typeLabel":"string\u003cuuid>"},"debitLines":{"description":"The journal entry's debit lines.","minItems":1,"type":"array","items":{"type":"object","properties":{"accountId":{"description":"The account to which this journal debit line is being debited. This will decrease the balance of this account.","example":"80000001-1234567890","type":"string","maxLength":36,"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].accountId","typeLabel":"string"},"amount":{"description":"The monetary amount of this journal debit line, represented as a decimal string.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"1000.00","type":"string","uniqueKey":"debitLines.items.[INDEX].amount","typeLabel":"string"},"memo":{"description":"A memo or note for this journal debit line.\n\nMaximum length: 4095 characters.","example":"Monthly utility bill settlement","type":"string","maxLength":4095,"uniqueKey":"debitLines.items.[INDEX].memo","typeLabel":"string"},"entityId":{"description":"The customer, vendor, employee, or other entity associated with this journal debit line.\n\n**IMPORTANT**: If the journal debit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal debit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"debitLines.items.[INDEX].entityId","typeLabel":"string"},"classId":{"description":"The journal debit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal debit lines unless overridden here, at the transaction line level.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"debitLines.items.[INDEX].classId","typeLabel":"string"},"salesTaxItemId":{"description":"The sales-tax item used to calculate the actual tax amount for this journal debit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"debitLines.items.[INDEX].salesTaxItemId","typeLabel":"string"},"billingStatus":{"description":"The billing status of this journal debit line.","example":"billable","type":"string","enum":["billable","has_been_billed","not_billable"],"default":"billable","uniqueKey":"debitLines.items.[INDEX].billingStatus","typeLabel":"enum\u003cstring>"}},"required":["accountId"],"additionalProperties":false,"uniqueKey":"debitLines.items.[INDEX]","typeLabel":"object"},"uniqueKey":"debitLines","typeLabel":"object[]"},"creditLines":{"description":"The journal entry's credit lines.","minItems":1,"type":"array","items":{"type":"object","properties":{"accountId":{"description":"The account to which this journal credit line is being credited. This will increase the balance of this account.","example":"80000001-1234567890","type":"string","maxLength":36,"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].accountId","typeLabel":"string"},"amount":{"description":"The monetary amount of this journal credit line, represented as a decimal string.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"1000.00","type":"string","uniqueKey":"creditLines.items.[INDEX].amount","typeLabel":"string"},"memo":{"description":"A memo or note for this journal credit line.\n\nMaximum length: 4095 characters.","example":"Allocated funds for office lease payment","type":"string","maxLength":4095,"uniqueKey":"creditLines.items.[INDEX].memo","typeLabel":"string"},"entityId":{"description":"The customer, vendor, employee, or other entity associated with this journal credit line.\n\n**IMPORTANT**: If the journal credit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal credit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"creditLines.items.[INDEX].entityId","typeLabel":"string"},"classId":{"description":"The journal credit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal credit lines unless overridden here, at the transaction line level.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"creditLines.items.[INDEX].classId","typeLabel":"string"},"salesTaxItemId":{"description":"The sales-tax item used to calculate the actual tax amount for this journal credit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"creditLines.items.[INDEX].salesTaxItemId","typeLabel":"string"},"billingStatus":{"description":"The billing status of this journal credit line.","example":"billable","type":"string","enum":["billable","has_been_billed","not_billable"],"default":"billable","uniqueKey":"creditLines.items.[INDEX].billingStatus","typeLabel":"enum\u003cstring>"}},"required":["accountId"],"additionalProperties":false,"uniqueKey":"creditLines.items.[INDEX]","typeLabel":"object"},"uniqueKey":"creditLines","typeLabel":"object[]"}},"required":["transactionDate"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"transactionDate":"2024-10-01","refNumber":"JE-1234","isAdjustment":false,"isHomeCurrencyAdjustment":false,"areAmountsEnteredInHomeCurrency":false,"currencyId":"80000001-1234567890","exchangeRate":1.2345,"externalId":"12345678-abcd-1234-abcd-1234567890ab","debitLines":[{"accountId":"80000001-1234567890","amount":"1000.00","memo":"Monthly utility bill settlement","entityId":"80000001-1234567890","classId":"80000001-1234567890","salesTaxItemId":"80000001-1234567890","billingStatus":"billable"}],"creditLines":[{"accountId":"80000001-1234567890","amount":"1000.00","memo":"Allocated funds for office lease payment","entityId":"80000001-1234567890","classId":"80000001-1234567890","salesTaxItemId":"80000001-1234567890","billingStatus":"billable"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"da8697a6-774d-47f6-986a-e95488894c34":{"description":"Returns the newly created journal entry.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this journal entry. This ID is unique across all transaction types.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_journal_entry\"`.","example":"qbd_journal_entry","type":"string","const":"qbd_journal_entry","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this journal entry was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this journal entry was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this journal entry object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"revisionNumber","typeLabel":"string"},"transactionDate":{"type":"string","format":"date","description":"The date of this journal entry, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"JE-1234","isRequired":true,"uniqueKey":"refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"JE-1234","isRequired":true,"uniqueKey":"refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"refNumber","typeLabel":"string | null"},"isAdjustment":{"oneOf":[{"type":"boolean","description":"Indicates whether this journal entry is an adjustment entry. When `true`, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.","example":false,"isRequired":true,"uniqueKey":"isAdjustment.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether this journal entry is an adjustment entry. When `true`, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.","example":false,"isRequired":true,"uniqueKey":"isAdjustment.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isAdjustment","typeLabel":"boolean | null"},"isHomeCurrencyAdjustment":{"oneOf":[{"type":"boolean","description":"Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.","example":false,"isRequired":true,"uniqueKey":"isHomeCurrencyAdjustment.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.","example":false,"isRequired":true,"uniqueKey":"isHomeCurrencyAdjustment.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isHomeCurrencyAdjustment","typeLabel":"boolean | null"},"areAmountsEnteredInHomeCurrency":{"oneOf":[{"type":"boolean","description":"Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When `true`, amounts are in the home currency regardless of the `currency` field.","example":false,"isRequired":true,"uniqueKey":"areAmountsEnteredInHomeCurrency.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When `true`, amounts are in the home currency regardless of the `currency` field.","example":false,"isRequired":true,"uniqueKey":"areAmountsEnteredInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"areAmountsEnteredInHomeCurrency","typeLabel":"boolean | null"},"currency":{"oneOf":[{"type":"object","description":"The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"exchangeRate","typeLabel":"number | null"},"externalId":{"oneOf":[{"type":"string","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.","example":"12345678-abcd-1234-abcd-1234567890ab","isRequired":true,"uniqueKey":"externalId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"externalId","typeLabel":"string | null"},"debitLines":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this journal debit line. This ID is unique across all transaction line types.","example":"456DEF-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_journal_debit_line\"`.","example":"qbd_journal_debit_line","type":"string","const":"qbd_journal_debit_line","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].objectType","typeLabel":"string"},"account":{"oneOf":[{"type":"object","description":"The account to which this journal debit line is being debited. This will decrease the balance of this account.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Checking"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account to which this journal debit line is being debited. This will decrease the balance of this account.","example":{"id":"80000001-1234567890","fullName":"Checking"},"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].account","typeLabel":"object | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this journal debit line, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this journal debit line, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].amount","typeLabel":"string | null"},"memo":{"oneOf":[{"type":"string","description":"A memo or note for this journal debit line.","example":"Monthly utility bill settlement","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].memo.oneOf.0","typeLabel":"string"},{"type":"null","description":"A memo or note for this journal debit line.","example":"Monthly utility bill settlement","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].memo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].memo","typeLabel":"string | null"},"entity":{"oneOf":[{"type":"object","description":"The customer, vendor, employee, or other entity associated with this journal debit line.\n\n**IMPORTANT**: If the journal debit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal debit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.0","typeLabel":"object"},{"type":"null","description":"The customer, vendor, employee, or other entity associated with this journal debit line.\n\n**IMPORTANT**: If the journal debit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal debit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].entity","typeLabel":"object | null"},"class":{"oneOf":[{"type":"object","description":"The journal debit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal debit lines unless overridden here, at the transaction line level.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Facilities \u0026 Utilities"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.0","typeLabel":"object"},{"type":"null","description":"The journal debit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal debit lines unless overridden here, at the transaction line level.","example":{"id":"80000001-1234567890","fullName":"Facilities \u0026 Utilities"},"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].class","typeLabel":"object | null"},"salesTaxItem":{"oneOf":[{"type":"object","description":"The sales-tax item used to calculate the actual tax amount for this journal debit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.0","typeLabel":"object"},{"type":"null","description":"The sales-tax item used to calculate the actual tax amount for this journal debit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","example":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].salesTaxItem","typeLabel":"object | null"},"billingStatus":{"oneOf":[{"type":"string","description":"The billing status of this journal debit line.","enum":["billable","has_been_billed","not_billable"],"example":"billable","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].billingStatus.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The billing status of this journal debit line.","example":"billable","isRequired":true,"uniqueKey":"debitLines.items.[INDEX].billingStatus.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"debitLines.items.[INDEX].billingStatus","typeLabel":"enum\u003cstring> | null"}},"required":["id","objectType","account","amount","memo","entity","class","salesTaxItem","billingStatus"],"additionalProperties":false,"title":"The Journal Debit Line object","x-conductor-object-type":"nested","uniqueKey":"debitLines.items.[INDEX]","typeLabel":"The Journal Debit Line object · object"},"description":"The journal entry's debit lines.","isRequired":true,"uniqueKey":"debitLines","typeLabel":"The Journal Debit Line object · object[]"},"creditLines":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this journal credit line. This ID is unique across all transaction line types.","example":"456DEF-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_journal_credit_line\"`.","example":"qbd_journal_credit_line","type":"string","const":"qbd_journal_credit_line","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].objectType","typeLabel":"string"},"account":{"oneOf":[{"type":"object","description":"The account to which this journal credit line is being credited. This will increase the balance of this account.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account to which this journal credit line is being credited. This will increase the balance of this account.","example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].account","typeLabel":"object | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this journal credit line, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this journal credit line, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].amount","typeLabel":"string | null"},"memo":{"oneOf":[{"type":"string","description":"A memo or note for this journal credit line.","example":"Allocated funds for office lease payment","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].memo.oneOf.0","typeLabel":"string"},{"type":"null","description":"A memo or note for this journal credit line.","example":"Allocated funds for office lease payment","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].memo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].memo","typeLabel":"string | null"},"entity":{"oneOf":[{"type":"object","description":"The customer, vendor, employee, or other entity associated with this journal credit line.\n\n**IMPORTANT**: If the journal credit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal credit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.0","typeLabel":"object"},{"type":"null","description":"The customer, vendor, employee, or other entity associated with this journal credit line.\n\n**IMPORTANT**: If the journal credit line's `account` is an Accounts Receivable (A/R) account, this field must refer to a customer. If the journal credit line's `account` is an Accounts Payable (A/P) account, this field must refer to a vendor. If these requirements are not met, QuickBooks Desktop will not record the transaction.","example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].entity","typeLabel":"object | null"},"class":{"oneOf":[{"type":"object","description":"The journal credit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal credit lines unless overridden here, at the transaction line level.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Administrative"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.0","typeLabel":"object"},{"type":"null","description":"The journal credit line's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default. If a class is specified for the entire parent transaction, it is automatically applied to all journal credit lines unless overridden here, at the transaction line level.","example":{"id":"80000001-1234567890","fullName":"Administrative"},"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].class","typeLabel":"object | null"},"salesTaxItem":{"oneOf":[{"type":"object","description":"The sales-tax item used to calculate the actual tax amount for this journal credit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.0","typeLabel":"object"},{"type":"null","description":"The sales-tax item used to calculate the actual tax amount for this journal credit line's transactions by applying a specific tax rate collected for a single tax agency. Unlike `salesTaxCode`, which only indicates general taxability, this field drives the actual tax calculation and reporting.","example":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].salesTaxItem","typeLabel":"object | null"},"billingStatus":{"oneOf":[{"type":"string","description":"The billing status of this journal credit line.","enum":["billable","has_been_billed","not_billable"],"example":"billable","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].billingStatus.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The billing status of this journal credit line.","example":"billable","isRequired":true,"uniqueKey":"creditLines.items.[INDEX].billingStatus.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLines.items.[INDEX].billingStatus","typeLabel":"enum\u003cstring> | null"}},"required":["id","objectType","account","amount","memo","entity","class","salesTaxItem","billingStatus"],"additionalProperties":false,"title":"The Journal Credit Line object","x-conductor-object-type":"nested","uniqueKey":"creditLines.items.[INDEX]","typeLabel":"The Journal Credit Line object · object"},"description":"The journal entry's credit lines.","isRequired":true,"uniqueKey":"creditLines","typeLabel":"The Journal Credit Line object · object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"ownerId":{"type":"string","description":"The identifier of the owner of the custom field, which QuickBooks internally calls a \"data extension\". For public custom fields visible in the UI, such as those added by the QuickBooks user, this is always \"0\". For private custom fields that are only visible to the application that created them, this is a valid GUID identifying the owning application. Internally, Conductor always fetches all public custom fields (those with an `ownerId` of \"0\") for all objects.","example":"0","isRequired":true,"uniqueKey":"customFields.items.[INDEX].ownerId","typeLabel":"string"},"name":{"type":"string","description":"The name of the custom field, unique for the specified `ownerId`. For public custom fields, this name is visible as a label in the QuickBooks UI.","example":"Customer Rating","isRequired":true,"uniqueKey":"customFields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["amount_type","date_time_type","integer_type","percent_type","price_type","quantity_type","string_1024_type","string_255_type"],"description":"The data type of this custom field.","example":"string_1024_type","isRequired":true,"uniqueKey":"customFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"The value of this custom field. The maximum length depends on the field's data type.","example":"Premium","isRequired":true,"uniqueKey":"customFields.items.[INDEX].value","typeLabel":"string"}},"required":["ownerId","name","type","value"],"additionalProperties":false,"title":"The Custom Field object","x-conductor-object-type":"nested","uniqueKey":"customFields.items.[INDEX]","typeLabel":"The Custom Field object · object"},"description":"The custom fields for the journal entry object, added as user-defined data extensions, not included in the standard QuickBooks object.","isRequired":true,"uniqueKey":"customFields","typeLabel":"The Custom Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","transactionDate","refNumber","isAdjustment","isHomeCurrencyAdjustment","areAmountsEnteredInHomeCurrency","currency","exchangeRate","externalId","debitLines","creditLines","customFields"],"additionalProperties":false,"title":"The Journal Entry object","x-conductor-object-type":"transaction","summary":"A journal entry is a direct way to record financial transactions by their debit and credit impacts on accounts, typically used for recording depreciation, adjusting entries, or other transactions that can't be entered through standard forms like bills or invoices.","uniqueKey":"","typeLabel":"The Journal Entry object · object"},"examples":{"Example":{"title":"Example","value":{"id":"123ABC-1234567890","objectType":"qbd_journal_entry","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","transactionDate":"2024-10-01","refNumber":"JE-1234","isAdjustment":false,"isHomeCurrencyAdjustment":false,"areAmountsEnteredInHomeCurrency":false,"currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"externalId":"12345678-abcd-1234-abcd-1234567890ab","debitLines":[{"id":"456DEF-1234567890","objectType":"qbd_journal_debit_line","account":{"id":"80000001-1234567890","fullName":"Checking"},"amount":"1000.00","memo":"Monthly utility bill settlement","entity":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"class":{"id":"80000001-1234567890","fullName":"Facilities \u0026 Utilities"},"salesTaxItem":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"billingStatus":"billable"}],"creditLines":[{"id":"456DEF-1234567890","objectType":"qbd_journal_credit_line","account":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"amount":"1000.00","memo":"Allocated funds for office lease payment","entity":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"class":{"id":"80000001-1234567890","fullName":"Administrative"},"salesTaxItem":{"id":"80000001-1234567890","fullName":"State Sales Tax"},"billingStatus":"billable"}],"customFields":[{"ownerId":"0","name":"Customer Rating","type":"string_1024_type","value":"Premium"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"d7297596-43ca-4b64-9908-a712075f3dec":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"045cea4d-dfb6-46e4-9c51-52452b7b239b":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"Create a journal entry - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T20:40:22.756Z","originalFileLocation":"api-ref/qbd/journal-entries/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a journal entry - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/journal-entries/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Journal+Entries\u0026amp;title=Create+a+journal+entry\u0026amp;description=Creates+a+journal+entry+with+balanced+debit+and+credit+lines.+QuickBooks+Desktop+requires+total+debits+to+equal+total+credits%2C+and+any+line+that+posts+to+Accoun\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=7abfe785664cd972cb59b2fb08e6b16e9f5724b2c9740ec904018c5863465bc4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a journal entry - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Journal+Entries\u0026amp;title=Create+a+journal+entry\u0026amp;description=Creates+a+journal+entry+with+balanced+debit+and+credit+lines.+QuickBooks+Desktop+requires+total+debits+to+equal+total+credits%2C+and+any+line+that+posts+to+Accoun\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=7abfe785664cd972cb59b2fb08e6b16e9f5724b2c9740ec904018c5863465bc4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/journal-entries/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/journal-entries/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create\",\"name\":\"Create a journal entry\",\"description\":\"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\",\"dateModified\":\"2026-01-27T20:40:22.756Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Journal Entries\",\"item\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a journal entry\",\"item\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create#apireference\",\"headline\":\"Create a journal entry\",\"name\":\"Create a journal entry\",\"description\":\"Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/journal-entries/create#webpage\"},\"dateModified\":\"2026-01-27T20:40:22.756Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}","title":"Update a credit card charge","href":"/api-ref/qbd/credit-card-charges/update"},{"openapi":"GET /quickbooks-desktop/credit-card-charges/{id}","title":"Retrieve a credit card charge","href":"/api-ref/qbd/credit-card-charges/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-charges","title":"List all credit card charges","href":"/api-ref/qbd/credit-card-charges/list"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}/void","title":"Void a credit card charge","href":"/api-ref/qbd/credit-card-charges/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-charges/{id}","title":"Delete a credit card charge","href":"/api-ref/qbd/credit-card-charges/delete"}]},{"group":"Credit Card Credits","pages":[{"title":"The Credit Card Credit object","href":"/api-ref/qbd/credit-card-credits/object"},{"openapi":"POST /quickbooks-desktop/credit-card-credits","title":"Create a credit card credit","href":"/api-ref/qbd/credit-card-credits/create"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}","title":"Update a credit card credit","href":"/api-ref/qbd/credit-card-credits/update"},{"openapi":"GET /quickbooks-desktop/credit-card-credits/{id}","title":"Retrieve a credit card credit","href":"/api-ref/qbd/credit-card-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-credits","title":"List all credit card credits","href":"/api-ref/qbd/credit-card-credits/list"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}/void","title":"Void a credit card credit","href":"/api-ref/qbd/credit-card-credits/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-credits/{id}","title":"Delete a credit card credit","href":"/api-ref/qbd/credit-card-credits/delete"}]},{"group":"Credit Card Refunds","pages":[{"title":"The Credit Card Refund object","href":"/api-ref/qbd/credit-card-refunds/object"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds","title":"Create a credit card refund","href":"/api-ref/qbd/credit-card-refunds/create"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds/{id}","title":"Retrieve a credit card refund","href":"/api-ref/qbd/credit-card-refunds/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds","title":"List all credit card refunds","href":"/api-ref/qbd/credit-card-refunds/list"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds/{id}/void","title":"Void a credit card refund","href":"/api-ref/qbd/credit-card-refunds/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-refunds/{id}","title":"Delete a credit card refund","href":"/api-ref/qbd/credit-card-refunds/delete"}]},{"group":"Credit Memos","pages":[{"title":"The Credit Memo object","href":"/api-ref/qbd/credit-memos/object"},{"openapi":"POST /quickbooks-desktop/credit-memos","title":"Create a credit memo","href":"/api-ref/qbd/credit-memos/create"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}","title":"Update a credit memo","href":"/api-ref/qbd/credit-memos/update"},{"openapi":"GET /quickbooks-desktop/credit-memos/{id}","title":"Retrieve a credit memo","href":"/api-ref/qbd/credit-memos/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-memos","title":"List all credit memos","href":"/api-ref/qbd/credit-memos/list"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}/void","title":"Void a credit memo","href":"/api-ref/qbd/credit-memos/void"},{"openapi":"DELETE /quickbooks-desktop/credit-memos/{id}","title":"Delete a credit memo","href":"/api-ref/qbd/credit-memos/delete"}]},{"group":"Deleted Transactions","pages":[{"title":"The Deleted Transaction object","href":"/api-ref/qbd/deleted-transactions/object"},{"openapi":"GET /quickbooks-desktop/deleted-transactions","title":"List all deleted transactions","href":"/api-ref/qbd/deleted-transactions/list"}]},{"group":"Deposits","pages":[{"title":"The Deposit object","href":"/api-ref/qbd/deposits/object"},{"openapi":"POST /quickbooks-desktop/deposits","title":"Create a deposit","href":"/api-ref/qbd/deposits/create"},{"openapi":"POST /quickbooks-desktop/deposits/{id}","title":"Update a deposit","href":"/api-ref/qbd/deposits/update"},{"openapi":"GET /quickbooks-desktop/deposits/{id}","title":"Retrieve a deposit","href":"/api-ref/qbd/deposits/retrieve"},{"openapi":"GET /quickbooks-desktop/deposits","title":"List all deposits","href":"/api-ref/qbd/deposits/list"},{"openapi":"POST /quickbooks-desktop/deposits/{id}/void","title":"Void a deposit","href":"/api-ref/qbd/deposits/void"},{"openapi":"DELETE /quickbooks-desktop/deposits/{id}","title":"Delete a deposit","href":"/api-ref/qbd/deposits/delete"}]},{"group":"Estimates","pages":[{"title":"The Estimate object","href":"/api-ref/qbd/estimates/object"},{"openapi":"POST /quickbooks-desktop/estimates","title":"Create an estimate","href":"/api-ref/qbd/estimates/create"},{"openapi":"POST /quickbooks-desktop/estimates/{id}","title":"Update an estimate","href":"/api-ref/qbd/estimates/update"},{"openapi":"GET /quickbooks-desktop/estimates/{id}","title":"Retrieve an estimate","href":"/api-ref/qbd/estimates/retrieve"},{"openapi":"GET /quickbooks-desktop/estimates","title":"List all estimates","href":"/api-ref/qbd/estimates/list"},{"openapi":"DELETE /quickbooks-desktop/estimates/{id}","title":"Delete an estimate","href":"/api-ref/qbd/estimates/delete"}]},{"group":"Inventory Adjustments","pages":[{"title":"The Inventory Adjustment object","href":"/api-ref/qbd/inventory-adjustments/object"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments","title":"Create an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/create"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}","title":"Update an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/update"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments/{id}","title":"Retrieve an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments","title":"List all inventory adjustments","href":"/api-ref/qbd/inventory-adjustments/list"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}/void","title":"Void an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/void"},{"openapi":"DELETE /quickbooks-desktop/inventory-adjustments/{id}","title":"Delete an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/delete"}]},{"group":"Invoices","pages":[{"title":"The Invoice object","href":"/api-ref/qbd/invoices/object"},{"openapi":"POST /quickbooks-desktop/invoices","title":"Create an invoice","href":"/api-ref/qbd/invoices/create"},{"openapi":"POST /quickbooks-desktop/invoices/{id}","title":"Update an invoice","href":"/api-ref/qbd/invoices/update"},{"openapi":"GET /quickbooks-desktop/invoices/{id}","title":"Retrieve an invoice","href":"/api-ref/qbd/invoices/retrieve"},{"openapi":"GET /quickbooks-desktop/invoices","title":"List all invoices","href":"/api-ref/qbd/invoices/list"},{"openapi":"POST /quickbooks-desktop/invoices/{id}/void","title":"Void an invoice","href":"/api-ref/qbd/invoices/void"},{"openapi":"DELETE /quickbooks-desktop/invoices/{id}","title":"Delete an invoice","href":"/api-ref/qbd/invoices/delete"}]},{"group":"Item Receipts","pages":[{"title":"The Item Receipt object","href":"/api-ref/qbd/item-receipts/object"},{"openapi":"POST /quickbooks-desktop/item-receipts","title":"Create an item receipt","href":"/api-ref/qbd/item-receipts/create"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}","title":"Update an item receipt","href":"/api-ref/qbd/item-receipts/update"},{"openapi":"GET /quickbooks-desktop/item-receipts/{id}","title":"Retrieve an item receipt","href":"/api-ref/qbd/item-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/item-receipts","title":"List all item receipts","href":"/api-ref/qbd/item-receipts/list"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}/void","title":"Void an item receipt","href":"/api-ref/qbd/item-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/item-receipts/{id}","title":"Delete an item receipt","href":"/api-ref/qbd/item-receipts/delete"}]},{"group":"Journal Entries","pages":[{"title":"The Journal Entry object","description":"A journal entry is a direct way to record financial transactions by their debit and credit impacts on accounts, typically used for recording depreciation, adjusting entries, or other transactions that can't be entered through standard forms like bills or invoices.","href":"/api-ref/qbd/journal-entries/object"},{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","href":"/api-ref/qbd/journal-entries/create"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}","title":"Update a journal entry","description":"Updates an existing journal entry. Keep the debits and credits in balance, and include the related customer or vendor on any A/R or A/P line you submit in the update body.\n\n**NOTE:** If you include `lines`, QuickBooks Desktop replaces that line list with the array you send, so include unchanged lines you want to keep and use `id: \"-1\"` for new lines.","href":"/api-ref/qbd/journal-entries/update"},{"openapi":"GET /quickbooks-desktop/journal-entries/{id}","title":"Retrieve a journal entry","href":"/api-ref/qbd/journal-entries/retrieve"},{"openapi":"GET /quickbooks-desktop/journal-entries","title":"List all journal entries","href":"/api-ref/qbd/journal-entries/list"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}/void","title":"Void a journal entry","href":"/api-ref/qbd/journal-entries/void"},{"openapi":"DELETE /quickbooks-desktop/journal-entries/{id}","title":"Delete a journal entry","href":"/api-ref/qbd/journal-entries/delete"}]},{"group":"Payments to Deposit","pages":[{"title":"The Payment To Deposit object","href":"/api-ref/qbd/payments-to-deposit/object"},{"openapi":"GET /quickbooks-desktop/payments-to-deposit","title":"List all payments to deposit","href":"/api-ref/qbd/payments-to-deposit/list"}]},{"group":"Purchase Orders","pages":[{"title":"The Purchase Order object","href":"/api-ref/qbd/purchase-orders/object"},{"openapi":"POST /quickbooks-desktop/purchase-orders","title":"Create a purchase order","href":"/api-ref/qbd/purchase-orders/create"},{"openapi":"POST /quickbooks-desktop/purchase-orders/{id}","title":"Update a purchase order","href":"/api-ref/qbd/purchase-orders/update"},{"openapi":"GET /quickbooks-desktop/purchase-orders/{id}","title":"Retrieve a purchase order","href":"/api-ref/qbd/purchase-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/purchase-orders","title":"List all purchase orders","href":"/api-ref/qbd/purchase-orders/list"},{"openapi":"DELETE /quickbooks-desktop/purchase-orders/{id}","title":"Delete a purchase order","href":"/api-ref/qbd/purchase-orders/delete"}]},{"group":"Receive-Payments","pages":[{"title":"The Receive-Payment object","href":"/api-ref/qbd/receive
[...]
